View Issue Details

IDProjectCategoryView StatusLast Update
0028571CommunityOCCT:Modeling Algorithmspublic2022-10-24 10:42
Reporterdevocctgp Assigned Tomsv  
PrioritynormalSeverityminor 
Status newResolutionopen 
Product Version7.1.0 
Target Version7.8.0 
Summary0028571: BRepOffsetAPI_MakeOffset build invalid wire
DescriptionBRepOffsetAPI_MakeOffset build invalid wire.

input wire brep is in the uploaded file
test1 and test2's result brep are in the uploaded file
test1 and test2's result picture are in the uploaded file too
Steps To Reproduce    {// test1
        BRepOffsetAPI_MakeOffset mf(input_wire, GeomAbs_Arc, false);
        mf.Perform(1, 0);
        auto resultshape = mf.Shape();
    }

    {// test2
        BRepOffsetAPI_MakeOffset mf(input_wire, GeomAbs_Arc, true);
        mf.Perform(1, 0);
        auto resultshape = mf.Shape();
    }


#### DRAW ####

restore inputwire.brep w

# case 1 - closed offset
mkoffset r w 1 1 a

# case 2 - open offset
openoffset r w 1 1 a
TagsNo tags attached.
Test case numberbugs modalg_7 bug28571_1, bug28571_2

Attached Files

  • inputwire.brep (349,579 bytes)
  • test1_offsetresult.brep (395,917 bytes)
  • test2_offsetresult.brep (395,201 bytes)
  • test1.png (17,500 bytes)
  • test2.png (19,454 bytes)

Relationships

related to 0026265 assignedisn Open CASCADE Incorrect result of 2d offset 

Activities

devocctgp

2017-03-20 07:35

developer  

inputwire.brep (349,579 bytes)

devocctgp

2017-03-20 07:35

developer  

test1_offsetresult.brep (395,917 bytes)

devocctgp

2017-03-20 07:35

developer  

test2_offsetresult.brep (395,201 bytes)

devocctgp

2017-03-20 07:36

developer  

test1.png (17,500 bytes)

devocctgp

2017-03-20 07:36

developer  

test2.png (19,454 bytes)

msv

2017-03-20 10:08

developer   ~0064432

I have given the draw script in steps to reproduce.

However, I do not see any sense in making open offset on a closed wire. The flag IsOpenResult has only sense when the wire is open. In this case it defines whether the result must be an offset on the one side of the wire, or the closed contour around the wire.

I think the issue 0026265 will address removal of unwanted loops in the result.

devocctgp

2017-03-20 11:05

developer   ~0064433

dear msv,
yes, open result for closed wire has no sense,i added the test just want give you more information to see,
thus,with a closed wire no matter the parameter is open or closed, the result should be closed .am i right?

and i will monitor the 26265 issue, thank u.

msv

2017-03-20 11:10

developer   ~0064434

Theoretically, for a closed wire the result should not depend on the IsOpenResult flag, but some parts of code may do some special things depending on the flag, and we see this in the result.

devocctgp

2017-03-20 11:50

developer   ~0064436

em,ok,got it!

mkv

2017-08-31 18:01

tester   ~0070127

Problem described in issue is reproduced on current state of OCCT.

Issue History

Date Modified Username Field Change
2017-03-20 07:35 devocctgp New Issue
2017-03-20 07:35 devocctgp Assigned To => msv
2017-03-20 07:35 devocctgp File Added: inputwire.brep
2017-03-20 07:35 devocctgp File Added: test1_offsetresult.brep
2017-03-20 07:35 devocctgp File Added: test2_offsetresult.brep
2017-03-20 07:36 devocctgp File Added: test1.png
2017-03-20 07:36 devocctgp File Added: test2.png
2017-03-20 09:53 msv Relationship added related to 0026265
2017-03-20 10:08 msv Note Added: 0064432
2017-03-20 10:08 msv Product Version => 7.1.0
2017-03-20 10:08 msv Steps to Reproduce Updated
2017-03-20 10:08 msv Additional Information Updated
2017-03-20 10:08 msv Steps to Reproduce Updated
2017-03-20 10:08 msv Additional Information Updated
2017-03-20 10:09 msv Description Updated
2017-03-20 10:09 msv Steps to Reproduce Updated
2017-03-20 11:05 devocctgp Note Added: 0064433
2017-03-20 11:10 msv Note Added: 0064434
2017-03-20 11:50 devocctgp Note Added: 0064436
2017-07-21 11:22 msv Target Version 7.2.0 => 7.3.0
2017-08-31 18:01 mkv Test case number => bugs modalg_7 bug28571_1, bug28571_2
2017-08-31 18:01 mkv Note Added: 0070127
2017-12-05 16:59 msv Target Version 7.3.0 => 7.4.0
2019-08-12 16:43 msv Target Version 7.4.0 => 7.5.0
2020-09-14 22:56 msv Target Version 7.5.0 => 7.6.0
2021-08-29 18:51 msv Target Version 7.6.0 => 7.7.0
2022-10-24 10:42 szy Target Version 7.7.0 => 7.8.0